Package com.sun.ts.lib.util.sec.reflect

# Class ConstantPool

java.lang.Object
com.sun.ts.lib.util.sec.reflect.ConstantPool

public class ConstantPool extends Object
Provides reflective access to the constant pools of classes. Currently this is needed to provide reflective access to annotations but may be used by other internal subsystems in the future.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantPool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class`
  `getClassAt(int index)`
  `Class`
  `getClassAtIfLoaded(int index)`
  `double`
  `getDoubleAt(int index)`
  `Field`
  `getFieldAt(int index)`
  `Field`
  `getFieldAtIfLoaded(int index)`
  `float`
  `getFloatAt(int index)`
  `int`
  `getIntAt(int index)`
  `long`
  `getLongAt(int index)`
  `String[]`
  `getMemberRefInfoAt(int index)`
  `Member`
  `getMethodAt(int index)`
  `Member`
  `getMethodAtIfLoaded(int index)`
  `int`
  `getSize()`
  `String`
  `getStringAt(int index)`
  `String`
  `getUTF8At(int index)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConstantPool

    public ConstantPool()

- ## Method Details

  - ### getSize

    public int getSize()

  - ### getClassAt

    public Class getClassAt(int index)

  - ### getClassAtIfLoaded

    public Class getClassAtIfLoaded(int index)

  - ### getMethodAt

    public Member getMethodAt(int index)

  - ### getMethodAtIfLoaded

    public Member getMethodAtIfLoaded(int index)

  - ### getFieldAt

    public Field getFieldAt(int index)

  - ### getFieldAtIfLoaded

    public Field getFieldAtIfLoaded(int index)

  - ### getMemberRefInfoAt

    public String[] getMemberRefInfoAt(int index)

  - ### getIntAt

    public int getIntAt(int index)

  - ### getLongAt

    public long getLongAt(int index)

  - ### getFloatAt

    public float getFloatAt(int index)

  - ### getDoubleAt

    public double getDoubleAt(int index)

  - ### getStringAt

    public String getStringAt(int index)

  - ### getUTF8At

    public String getUTF8At(int index)